### Hierarchy

- ButtonMenuComponent

### Implements

- AfterViewInit

## Index

### Inputs

- alignMenu
- closeIcon
- iconOnly
- label
- open
- openIcon
- placeMenu
- split

### Outputs

- openChange
- primaryClick

### Constructors

- constructor

### Properties

- alignMenu
- closeIcon
- documentService
- elementRef
- iconOnly
- label
- open
- openChange
- openIcon
- placeMenu
- position
- primaryClick
- split

### Methods

- handleKeys
- ngAfterViewInit
- toggleMenu

## Constructors

### constructor

- new ButtonMenuComponent(elementRef: ElementRef<any>, documentService: DocumentService): ButtonMenuComponent

- - Defined in packages/angular/src/button-menu/button-menu.component.ts:101

  #### Parameters

  - ##### elementRef: ElementRef<any>

  - ##### documentService: DocumentService

  #### Returns ButtonMenuComponent

## Properties

### alignMenu

@Input()
alignMenu: "left" | "right" = 'left'

- Defined in packages/angular/src/button-menu/button-menu.component.ts:93

### closeIcon

@Input()
closeIcon: string = 'chevron--up'

- Defined in packages/angular/src/button-menu/button-menu.component.ts:90

### Protected documentService

documentService: DocumentService

### Protected elementRef

elementRef: ElementRef<any>

### iconOnly

@Input()
iconOnly: boolean = false

- Defined in packages/angular/src/button-menu/button-menu.component.ts:91

### label

@Input()
label: string = ''

- Defined in packages/angular/src/button-menu/button-menu.component.ts:87

### open

@Input()
open: boolean = false

- Defined in packages/angular/src/button-menu/button-menu.component.ts:88

### openChange

@Output()
openChange: EventEmitter<boolean> = ...

- Defined in packages/angular/src/button-menu/button-menu.component.ts:95

### openIcon

@Input()
openIcon: string = 'chevron--down'

- Defined in packages/angular/src/button-menu/button-menu.component.ts:89

### placeMenu

@Input()
placeMenu: "top" | "bottom" = 'bottom'

- Defined in packages/angular/src/button-menu/button-menu.component.ts:94

### position

position: { left: number; top: number } = ...

- Defined in packages/angular/src/button-menu/button-menu.component.ts:98

#### Type declaration

- ##### left: number

- ##### top: number

### primaryClick

@Output()
primaryClick: EventEmitter<MouseEvent> = ...

- Defined in packages/angular/src/button-menu/button-menu.component.ts:96

### split

@Input()
split: boolean = false

- Defined in packages/angular/src/button-menu/button-menu.component.ts:92

## Methods

### handleKeys

@HostListener({"eventName":"'keyup'","args":"['$event']"})

- handleKeys(event: KeyboardEvent): void

- - Defined in packages/angular/src/button-menu/button-menu.component.ts:138

  #### Parameters

  - ##### event: KeyboardEvent

  #### Returns void

### ngAfterViewInit

- ngAfterViewInit(): void

- - Defined in packages/angular/src/button-menu/button-menu.component.ts:105

  #### Returns void

### toggleMenu

- toggleMenu(): void

- - Defined in packages/angular/src/button-menu/button-menu.component.ts:132

  #### Returns void

Generated using TypeDoc